> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shiftkeeper.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Link a Slack channel to a schedule

> Link a Slack channel to a schedule. Shift and schedule related notifications will be sent to the channel.

Currently only public channels are supported.



## OpenAPI

````yaml https://api.shiftkeeper.io/openapi.json put /schedules/{schedule_id}/slack_channels/{channel_id}
openapi: 3.1.0
info:
  title: Shiftkeeper API
  description: API reference to interact with Shiftkeeper programatically
  version: 0.0.1
servers:
  - url: https://api.shiftkeeper.io
security:
  - apiKey: []
externalDocs:
  url: https://docs.shiftkeeper.io
  description: Learn more about Shiftkeeper
paths:
  /schedules/{schedule_id}/slack_channels/{channel_id}:
    put:
      tags:
        - Schedules
      summary: Link a Slack channel to a schedule
      description: >-
        Link a Slack channel to a schedule. Shift and schedule related
        notifications will be sent to the channel.


        Currently only public channels are supported.
      parameters:
        - schema:
            type: string
          examples:
            sch_oKjoLJUl47g7OYYVPUG5t:
              value: sch_oKjoLJUl47g7OYYVPUG5t
            sch_kje7ER643ED0STVnB8Zc9:
              value: sch_kje7ER643ED0STVnB8Zc9
          in: path
          name: schedule_id
          required: true
          description: The ID of the schedule.
        - schema:
            type: string
          in: path
          name: channel_id
          required: true
          description: The Slack ID of the channel.
      responses:
        '204':
          description: Slack channel linked to schedule
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    $ref: '#/components/schemas/NotFoundError'
                required:
                  - error
components:
  schemas:
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        docs_url:
          type: string
        status:
          type: number
          const: 404
        code:
          type: string
          const: not_found
      required:
        - message
        - status
        - code
      example:
        code: not_found
        status: 404
        message: The requested resource was not found
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Enter your API key which starts with 'keeper_'

````